import { MinOption, MinString, PerBuildMinOptions } from "./bundlib-options";
import { Nullable } from "./helper-types";
export declare type MinGlobal = Record<MinString, boolean>;
export declare const isMinString: import("./in-list").InList<MinString>;
export declare function isValidMinOption(value: any): value is MinOption;
export declare function normalizeMinOption(min: MinOption): MinGlobal;
export declare function normalizeBuildMin(build: Nullable<PerBuildMinOptions>, field: MinString, def: MinGlobal): boolean;
